<?xml version = "1.0" encoding = "UTF-8"?>

<!-- RULES TO APPLY TO MANAGE UPDATE DURING IMPORT  -->

<!-- srcsdk will atomaticaly apply there rules if "Version VNumber" > "curent file dtd verion"  -->

<!-- this curent file dtd verion is set at export time with Update VNumber -->
<!-- Each time you add a package <Version VNumber = "xx">  in this file you should change <Update VNumber = "xx">  -->

<!-- remark: for performance reason, try to specify a path as complete as possible   -->
<!-- remark: for performance reason, put OnlyOnce = "1" if you are sure only one element match, else put  OnlyOnce ="0"  -->

<Update VNumber = "30">  
	<Version VNumber = "2"> 
		<!-- these rules apply on files generated before v2.0.0 -->
			<!--CPU-->
		<requests OnlyOnce = "1" attribut = "partNumber" NewValue = "140CPU53414A/U">//IOConf/PLC/partItem[@partNumber='140CPU53414A' ]</requests>          		 
		<requests OnlyOnce = "1" attribut = "partNumber" NewValue = "140CPU53414A/U">//IOConf/PLC/configQuantum/IOMapBlock/busQuantum/dropQuantum/rackQuantum/moduleQuantum/partItem[@partNumber='140CPU53414A']</requests>         		 
		<requests OnlyOnce = "1" attribut = "partNumber" NewValue = "140CPU43412A/U">//IOConf/PLC/partItem[@partNumber='140CPU43412A' ]</requests>          		 
		<requests OnlyOnce = "1" attribut = "partNumber" NewValue = "140CPU43412A/U">//IOConf/PLC/configQuantum/IOMapBlock/busQuantum/dropQuantum/rackQuantum/moduleQuantum/partItem[@partNumber='140CPU43412A']</requests>      
	</Version>
	<Version VNumber = "3"> 
		<!-- these rules apply on files generated before v2.0.0 -->
			<!--FIP-->
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "STDP_FSD_ADM_MASTER">	//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="170ADM39010"]/configModule/channelATS[@ASFCatKey="STDP_FSD_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "IP67In8_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="TSXEEF08D2"]/configModule/channelATS[@ASFCatKey="IP67In_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "IP67In16_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="TSXEEF16D2"]/configModule/channelATS[@ASFCatKey="IP67In_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "INDUCTEL_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="XGKS130421" or partItem/@partNumber="XGPS1304202"]/configModule/channelATS[@ASFCatKey="STDP_FSD_P_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "STDP_ANR_FED_P_MASTER">	//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="170ANR12090" or partItem/@partNumber="170ANR12091"]/configModule/channelATS[@ASFCatKey="STDP_FED_P_MASTER"]</requests>           
		<requests OnlyOnce = "0" attribut = "family"	NewValue = "Fipio Momentum Mixed">	//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS/partItem[@partNumber="170ANR12090 or @partNumber="170ANR12091"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "STDP_FSD_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="OTHERFSD"]/configModule/channelATS[@ASFCatKey="STDP_FSD_ADM_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "STDP_FSD_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="FSDC8"]/configModule/channelATS[@ASFCatKey="STDP_FSD_ADM_MASTER"]</requests>      
		<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "STDP_FSD_MASTER">		//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="FSDM8"]/configModule/channelATS[@ASFCatKey="STDP_FSD_ADM_MASTER"]</requests>      
	</Version>
	<Version VNumber = "4"> 
		<!-- these rules apply on files generated before v2.1.0-->
			<!--TSXESF08T22-->
			<requests OnlyOnce = "0" attribut = "ASFCatKey" NewValue = "IP67MixteOut_MASTER">	//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS/moduleATS[partItem/@partNumber="TSXESF08T22"]/configModule/channelATS[@ASFCatKey="IP67MixteIn_MASTER" and @number="0"]</requests>      			
			<!--WaterproofFipiodrop-->
			<requests OnlyOnce = "0" attribut = "partNumber" NewValue = "WaterproofIP67Fipiodrop">	
				//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS[moduleATS/partItem/@family="Fipio Waterproof IP67"]/partItem
			</requests> 
			<requests OnlyOnce = "0" attribut = "partNumber" NewValue = "WaterproofIP65Fipiodrop">	
				//IOConf/PLC/configATS/busATS[@name="Fipio"]/dropATS[moduleATS/partItem/@family="Fipio Waterproof IP65"]/partItem
			</requests>       

	</Version>
	<Version VNumber = "5"> 
		<!-- these rules apply on files generated before v2.1 (before Speedy)-->
			<!--SCP1114-->
			<requests OnlyOnce = "0" attribut = "partNumber" NewValue = "TSXSCP114/1114">	
				//IOConf/PLC/configATS/busATS[@name="XBus"]/rackATS/moduleATS/subModule[partItem/@partNumber="TSXSCP114"]/partItem
			</requests> 
			<!--diagnostic settings-->
			<requests OnlyOnce = "1" attribut = "applevel" NewValue = "1">	
				//settings/build[@applevel="0"]
			</requests> 
	</Version>





	<Version VNumber = "30"> 
		<!-- these rules apply on files generated before v3.0 -->
			<!--	COMP_DB : use DFB to map old version of EFB	-->
			<requests OnlyOnce = "0" attribut = "typeName" NewValue = "COMP_DB_DFB">	
				//FFBBlock[@typeName="COMP_DB" and (descriptionFFB/inputVariable/@formalParameter="GREATER")]</requests> 
				<!--	COMMUNICATION DTD MODIFIED : must apply COMMchangeGrammar.xsl	-->
			<requests OnlyOnce = "1" XSLRequest="COMMchangeGrammar.xsl"/>	
	</Version>
</Update>





<!-- =======END UPDATE  ========  -->

<!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. -->